# class toFilesize | A widget to get a size value for Oracle objects. More...
Definition | `#include <tofilesize.h>`
Inherits | QButtonGroup (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toFilesize (QWidget* parent=0,const char* name=0)
- toFilesize (const QString &title,QWidget* parent=0,const char* name=0)
- void setValue (int sizeInKB)
- int value (void)
- QString sizeString (void)

#### Signals

- void valueChanged (void)

## Detailed Description

A widget to get a size value for Oracle objects.

void valueChanged (void) | ### valueChanged

[signal]

Emitted when value was changed in the widget.

toFilesize (QWidget* parent=0,const char* name=0) | ### toFilesize

Create a filesize widget.

Parameters:

parent | Parent widget.
name | Name of widget.

toFilesize (const QString &title,QWidget* parent=0,const char* name=0) | ### toFilesize

Create a filesize widget.

Parameters:

title | Title of size selection frame.
parent | Parent widget.
name | Name of widget.

void setValue (int sizeInKB) | ### setValue

Set the value of the widget in KB.

Parameters:

sizeInKB | Size in KB.

int value (void) | ### value

Get value in KB.

Returns: Size selected in KB.

QString sizeString (void) | ### sizeString

Get an oracle size specification string.

Returns: String describing size in valid Oracle format.